## glymur 0.13.4

=== docs/requirements.txt ===
numpydoc>=0.8
sphinx_rtd_theme>=0.4.2

## glymur 0.8.17

=== debian/changelog ===
glymur (0.8.17-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 21 Feb 2019 08:44:36 +0000

glymur (0.8.16-1) unstable; urgency=medium

  * Initial version (Closes: #917823)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 31 Dec 2018 07:47:30 +0000

=== debian/control ===
Source: glymur
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper (>= 11),
               dh-python,
               libopenjp2-7,
               procps,
               python3-all,
               python3-gdal,
               python3-lxml,
               python3-numpy,
               python3-pkg-resources,
               python3-setuptools,
               python3-skimage
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/glymur
Vcs-Git: https://salsa.debian.org/debian-gis-team/glymur.git
Homepage: https://github.com/quintusdias/glymur

Package: python3-glymur
Architecture: all
Depends: libopenjp2-7,
         python3-numpy,
         python3-pkg-resources,
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-gdal,
            python3-lxml,
            ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python tools for accessing JPEG2000 files
 Glymur is an interface to the OpenJPEG library which allows one to
 read and write JPEG 2000 files from Python.
 Glymur supports both reading and writing of JPEG 2000 images,
 but writing JPEG 2000 images is currently limited to images that
 can fit in memory.
 Glymur can read images using OpenJPEG library versions as far back
 as 1.3, but it is strongly recommended to use at least version 2.1.2.
 .
 In regards to metadata, most JP2 boxes are properly interpreted.
 Certain optional JP2 boxes can also be written, including XML boxes
 and XMP UUIDs.
 There is incomplete support for reading JPX metadata.
 .
 Glymur will look to use lxml when processing boxes with XML content,
 but can fall back upon the standard library’s ElementTree if lxml
 is not available.

Package: glymur-bin
Architecture: all
Section: utils
Depends: python3-glymur (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python tools for accessing JPEG2000 files - scripts
 Glymur is an interface to the OpenJPEG library which allows one to
 read and write JPEG 2000 files from Python.
 Glymur supports both reading and writing of JPEG 2000 images,
 but writing JPEG 2000 images is currently limited to images that
 can fit in memory.
 Glymur can read images using OpenJPEG library versions as far back
 as 1.3, but it is strongly recommended to use at least version 2.1.2.
 .
 In regards to metadata, most JP2 boxes are properly interpreted.
 Certain optional JP2 boxes can also be written, including XML boxes
 and XMP UUIDs.
 There is incomplete support for reading JPX metadata.
 .
 Glymur will look to use lxml when processing boxes with XML content,
 but can fall back upon the standard library’s ElementTree if lxml
 is not available.
 .
 This package provides utilities and executable scripts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean

	$(RM) -r *.egg-info

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="env PYTHONPATH={build_dir} python{version} -m unittest -v" \
	dh_auto_test

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/ \
https://pypi.debian.net/Glymur/ \
Glymur-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## glymur 0.8.18

=== debian/changelog ===
glymur (0.8.18-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/rules:
    - fix override_dh_auto_test rule

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Jul 2019 16:00:46 +0000

## glymur 0.9.1

=== debian/changelog ===
glymur (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update copyright file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 17 Jan 2020 07:26:02 +0000

glymur (0.8.19+ds-1) unstable; urgency=medium

  * New upstream release (improve support to Python 3.8).
  * Bump Standards-Version to 4.4.1, no changes.
  * debian/copyright file updated.
  * Explicitly set Rules-Requires-Root: no.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 19 Dec 2019 23:07:48 +0000

glymur (0.8.18+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Repack upstream tarball to exclude .egg-info directory.
  * Bump Standards-Version to 4.4.0, no changes.

  [ Antonio Valentino ]
  * Bump debhelper from old 11 to 12.
  * Use debhelper-compat instead of debian/compat.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 03 Sep 2019 05:37:57 +0000

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Section: python
 Priority: optional
 Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper (>= 11),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                libopenjp2-7,
                procps,
                python3-all,
-               python3-gdal,
                python3-lxml,
                python3-numpy,
                python3-pkg-resources,
                python3-setuptools,
                python3-skimage
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/glymur
 Vcs-Git: https://salsa.debian.org/debian-gis-team/glymur.git
 Homepage: https://github.com/quintusdias/glymur
@@ -27,8 +27,7 @@
          python3-pkg-resources,
          ${python3:Depends},
          ${misc:Depends}
-Recommends: python3-gdal,
-            python3-lxml,
+Recommends: python3-lxml,
             ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: Python tools for accessing JPEG2000 files

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,10 @@
 	$(RM) -r *.egg-info
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	touch tests/data/__init__.py
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="env PYTHONPATH={build_dir} python{version} -m unittest -v" \
+	PYBUILD_TEST_ARGS="env PYTHONPATH={build_dir} python{version} -m unittest discover -v" \
 	dh_auto_test
+	$(RM) tests/data/__init__.py
+endif

## glymur 0.9.2

=== debian/changelog ===
glymur (0.9.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.5.0, no changes.
  * debian/rules:
    - improve override_dh_auto_test target

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 03 Jul 2020 19:57:13 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-pkg-resources,
                python3-setuptools,
                python3-skimage
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/glymur
 Vcs-Git: https://salsa.debian.org/debian-gis-team/glymur.git
 Homepage: https://github.com/quintusdias/glymur

## glymur 0.9.3

=== debian/changelog ===
glymur (0.9.3-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Drop skimage.patch, applied upstream.

  [ Bas Couwenberg ]
  * Also include tests in python3-glymur.
  * Drop undefined substitution variables.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Jan 2021 08:46:33 +0000

glymur (0.9.2-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.5.1, no changes.
  * Add patch to fix FTBFS with skimage 0.18.
    (closes: #978255)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Dec 2020 10:48:19 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-pkg-resources,
                python3-setuptools,
                python3-skimage
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/glymur
 Vcs-Git: https://salsa.debian.org/debian-gis-team/glymur.git
 Homepage: https://github.com/quintusdias/glymur
@@ -27,9 +27,7 @@
          python3-pkg-resources,
          ${python3:Depends},
          ${misc:Depends}
-Recommends: python3-lxml,
-            ${python3:Recommends}
-Suggests: ${python3:Suggests}
+Recommends: python3-lxml
 Description: Python tools for accessing JPEG2000 files
  Glymur is an interface to the OpenJPEG library which allows one to
  read and write JPEG 2000 files from Python.
@@ -54,8 +52,6 @@
 Depends: python3-glymur (= ${source:Version}),
          ${python3:Depends},
          ${misc:Depends}
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
 Description: Python tools for accessing JPEG2000 files - scripts
  Glymur is an interface to the OpenJPEG library which allows one to
  read and write JPEG 2000 files from Python.

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|glymur)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/glymur-$1.$2/,\
repacksuffix=+ds \
https://github.com/quintusdias/glymur/releases \
(?:.*?/archive/)?(?:rel|v|glymur)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## glymur 0.9.7

=== debian/changelog ===
glymur (0.9.7-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update build dependencies for pybuild-plugin-pyproject.

  [ Antonio Valentino ]
  * debian/control:
    - add missing (build) dependency on python3-packaging.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 Dec 2021 09:18:54 +0000

glymur (0.9.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - drop dependency on pkg-resources, no longer needed
    - use dh-python-pep517 instead of the standard dh-python.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 29 Dec 2021 08:58:12 +0000

glymur (0.9.6-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.
  * Update watch file to use tags instead of releases.

  [ Antonio Valentino ]
  * New upstream release.
  * Update copyright dates in d/copyright.
  * Manpage for the new tool tiff2jp2.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Nov 2021 12:21:22 +0000

glymur (0.9.4-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Sep 2021 16:41:22 +0000

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
                dh-python,
                libopenjp2-7,
                procps,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-lxml,
                python3-numpy,
-               python3-pkg-resources,
+               python3-packaging,
                python3-setuptools,
                python3-skimage
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/glymur
 Vcs-Git: https://salsa.debian.org/debian-gis-team/glymur.git
 Homepage: https://github.com/quintusdias/glymur
@@ -24,7 +25,7 @@
 Architecture: all
 Depends: libopenjp2-7,
          python3-numpy,
-         python3-pkg-resources,
+         python3-packaging,
          ${python3:Depends},
          ${misc:Depends}
 Recommends: python3-lxml

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	touch tests/data/__init__.py
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="env PYTHONPATH={build_dir} python{version} -m unittest discover -v" \
 	dh_auto_test
-	$(RM) tests/data/__init__.py
 endif

## glymur 0.11.4

=== debian/changelog ===
glymur (0.11.4-1) unstable; urgency=medium

  * New usptream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Aug 2022 07:05:48 +0000

glymur (0.11.3-1) unstable; urgency=medium

  * New upstream release.
  * Use a more generic glob pattern in d/not-installed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 17 Aug 2022 16:57:25 +0000

glymur (0.11.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix d/copyright formatting.
  * debian/patches:
    - drop 0001-Remove-breakpoint.patch, applied upstream.
  * add d/not-installed file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Aug 2022 15:19:35 +0000

glymur (0.11.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - new patch 0001-Remove-breakpoint.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 09 Aug 2022 07:03:09 +0000

glymur (0.11.0-3) unstable; urgency=medium

  * Skip test_thread_support: not supported on all platforms.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Aug 2022 06:58:12 +0000

glymur (0.11.0-2) unstable; urgency=medium

  * Add libtiff5 to dependencies and test dependencies.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Aug 2022 16:58:28 +0000

glymur (0.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 17 Jul 2022 08:04:17 +0000

glymur (0.10.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 01 Jul 2022 18:20:19 +0000

glymur (0.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 18 Jun 2022 06:27:29 +0000

glymur (0.9.9-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 25 Mar 2022 06:53:21 +0000

glymur (0.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 12 Mar 2022 15:00:31 +0000

## glymur 0.12.1

=== debian/changelog ===
glymur (0.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Dec 2022 06:49:27 +0000

glymur (0.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Oct 2022 07:12:53 +0000

glymur (0.11.7-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 22 Sep 2022 05:57:23 +0000

glymur (0.11.6-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Sep 2022 11:11:25 +0000

glymur (0.11.5-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Sep 2022 08:09:41 +0000

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,17 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                libopenjp2-7,
+               libtiff5,
                procps,
                pybuild-plugin-pyproject,
                python3-all,
                python3-lxml,
                python3-numpy,
                python3-packaging,
+               python3-pytest,
                python3-setuptools,
                python3-skimage
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/glymur
 Vcs-Git: https://salsa.debian.org/debian-gis-team/glymur.git
 Homepage: https://github.com/quintusdias/glymur
@@ -28,7 +30,8 @@
          python3-packaging,
          ${python3:Depends},
          ${misc:Depends}
-Recommends: python3-lxml
+Recommends: libtiff5,
+            python3-lxml
 Description: Python tools for accessing JPEG2000 files
  Glymur is an interface to the OpenJPEG library which allows one to
  read and write JPEG 2000 files from Python.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_TEST_ARGS=\
-k 'not test__printing__geotiff_uuid__xml_sidecar and not test_print_bad_geotiff and not test_thread_support' \
$(CURDIR)/tests

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r *.egg-info

=== debian/tests/control ===
Tests: python3
Depends: @, python3-all, python3-pytest, libtiff5

## glymur 0.12.2

=== debian/changelog ===
glymur (0.12.2-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop libtiff from autopkgtest dependencies too.
  * Enable Salsa CI.
  * Add python3-skimage to autopkgtest dependencies.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Jan 2023 15:00:34 +0000

glymur (0.12.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.
  * debian/control:
    - add dependency on python3-pil
    - drop dependency on libtiff.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Jan 2023 10:22:16 +0000

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                libopenjp2-7,
-               libtiff5,
                procps,
                pybuild-plugin-pyproject,
                python3-all,
                python3-lxml,
                python3-numpy,
                python3-packaging,
+               python3-pil,
                python3-pytest,
                python3-setuptools,
                python3-skimage
@@ -30,8 +30,7 @@
          python3-packaging,
          ${python3:Depends},
          ${misc:Depends}
-Recommends: libtiff5,
-            python3-lxml
+Recommends: python3-lxml
 Description: Python tools for accessing JPEG2000 files
  Glymur is an interface to the OpenJPEG library which allows one to
  read and write JPEG 2000 files from Python.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 $(CURDIR)/tests
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,numpy3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: python3
Depends: @, python3-all, python3-pytest, python3-skimage

## glymur 0.12.8

=== debian/changelog ===
glymur (0.12.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper-compat version to 13.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 13 Jul 2023 08:01:49 +0000

glymur (0.12.7-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.

  [ Antonio Valentino ]
  * New upstream release (Closes: #1032291).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Jun 2023 10:28:27 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libopenjp2-7,
                procps,
@@ -18,7 +18,7 @@
                python3-pytest,
                python3-setuptools,
                python3-skimage
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/glymur
 Vcs-Git: https://salsa.debian.org/debian-gis-team/glymur.git
 Homepage: https://github.com/quintusdias/glymur

## glymur 0.12.9

=== debian/changelog ===
glymur (0.12.9-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Move the common package escription to source.
    - Use <!nocheck> marker.
    - Switch to autopkgtest-pkg-pybuild.
  * New d/python3-glymur.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 02 Dec 2023 21:33:41 +0000

=== debian/control ===
Source: glymur
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               libopenjp2-7,
               procps,
               pybuild-plugin-pyproject,
               python3-all,
               python3-lxml,
               python3-numpy,
               python3-packaging,
               python3-pil,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-skimage
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/glymur
Vcs-Git: https://salsa.debian.org/debian-gis-team/glymur.git
Homepage: https://github.com/quintusdias/glymur
Description: Python tools for accessing JPEG2000 files
 Glymur is an interface to the OpenJPEG library which allows one to
 read and write JPEG 2000 files from Python.
 Glymur supports both reading and writing of JPEG 2000 images,
 but writing JPEG 2000 images is currently limited to images that
 can fit in memory.
 Glymur can read images using OpenJPEG library versions as far back
 as 1.3, but it is strongly recommended to use at least version 2.1.2.
 .
 In regards to metadata, most JP2 boxes are properly interpreted.
 Certain optional JP2 boxes can also be written, including XML boxes
 and XMP UUIDs.
 There is incomplete support for reading JPX metadata.
 .
 Glymur will look to use lxml when processing boxes with XML content,
 but can fall back upon the standard library’s ElementTree if lxml
 is not available.

Package: python3-glymur
Architecture: all
Depends: libopenjp2-7,
         python3-numpy,
         python3-packaging,
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-lxml
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: glymur-bin
Architecture: all
Section: utils
Depends: python3-glymur (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis}i -- scripts
 ${source:Extended-Description}
 .
 This package provides utilities and executable scripts.

## glymur 0.13.4

=== debian/changelog ===
glymur (0.13.4-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Jul 2024 07:17:15 +0000

glymur (0.13.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0001-Fix-broken-test.patch, applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 02 Jul 2024 18:52:20 +0000

glymur (0.13.2-2) unstable; urgency=medium

  * debian/patches:
    - New 0001-Fix-broken-test.patch.
      Fixes a testing issue on BE architectures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 15 May 2024 05:38:04 +0000

glymur (0.13.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 10 May 2024 06:59:01 +0000

glymur (0.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Apr 2024 09:16:40 +0000

glymur (0.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dates and upstream author email in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Apr 2024 07:07:29 +0000

## glymur 0.13.5

=== docs/requirements.txt ===
numpydoc>=0.8
sphinx_rtd_theme>=0.4.2
lxml

=== debian/changelog ===
glymur (0.13.5-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * New source/lintian-overrides file for silency misdetection of uuid
    as deprecated stdlib.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 30 Jul 2024 05:45:37 +0000

## glymur 0.13.8

=== docs/requirements.txt ===
numpydoc>=0.8
sphinx<=7.4.7
sphinx_rtd_theme>=0.4.2
lxml

=== debian/changelog ===
glymur (0.13.8-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Jan 2025 08:00:01 +0000

glymur (0.13.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop d/source/lintian-overrides, no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 18 Jan 2025 10:10:29 +0000

glymur (0.13.6-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 23 Aug 2024 06:23:06 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-skimage
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/glymur
 Vcs-Git: https://salsa.debian.org/debian-gis-team/glymur.git
 Homepage: https://github.com/quintusdias/glymur

## glymur 0.14.0

=== debian/changelog ===
glymur (0.14.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * debian/control:
    - Add dependency on python3-imageio and python3-gdal.
  * Add manual page for jpeg2jp2.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Mar 2025 10:47:04 +0000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
                procps,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-gdal <!nocheck>,
+               python3-imageio,
                python3-lxml,
                python3-numpy,
                python3-packaging,
@@ -20,7 +22,7 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-skimage
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/glymur
 Vcs-Git: https://salsa.debian.org/debian-gis-team/glymur.git
 Homepage: https://github.com/quintusdias/glymur
@@ -49,7 +51,7 @@
          python3-packaging,
          ${python3:Depends},
          ${misc:Depends}
-Recommends: python3-lxml
+Recommends: python3-gdal, python3-lxml
 Description: ${source:Synopsis}
  ${source:Extended-Description}

## glymur 0.14.1

=== debian/changelog ===
glymur (0.14.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add dependency on setuptools-scm.
    - Drop dependency on imageio.
  * Fix d/python3-glymur.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Apr 2025 05:44:59 +0000

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,4 @@
 $(CURDIR)/tests
 
 %:
-	dh $@ --with python3,numpy3 --buildsystem=pybuild
-
-override_dh_auto_clean:
-	dh_auto_clean
-	$(RM) -r *.egg-info
+	dh $@ --buildsystem=pybuild

## glymur 0.14.3

=== debian/changelog ===
glymur (0.14.3-1) unstable; urgency=medium

  * New upstream release.
  * Set upstream metadata fields: Documentation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 10 Aug 2025 15:08:57 +0000

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,15 @@
                procps,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-gdal <!nocheck>,
-               python3-imageio,
+               python3-gdal,
                python3-lxml,
                python3-numpy,
                python3-packaging,
                python3-pil,
                python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-skimage
+               python3-setuptools-scm,
+               python3-skimage <!nocheck>
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/glymur
 Vcs-Git: https://salsa.debian.org/debian-gis-team/glymur.git
@@ -51,7 +51,8 @@
          python3-packaging,
          ${python3:Depends},
          ${misc:Depends}
-Recommends: python3-gdal, python3-lxml
+Recommends: python3-gdal,
+            python3-lxml
 Description: ${source:Synopsis}
  ${source:Extended-Description}

## glymur 0.14.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/glymur.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/glymur.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/glymur"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/glymur"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
numpydoc>=0.8
sphinx<=7.4.7
sphinx_rtd_theme>=0.4.2
lxml
pillow

=== debian/changelog ===
glymur (0.14.4-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Oct 2025 11:29:28 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Section: python
 Priority: optional
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-numpy3,

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|glymur)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/glymur-$1.$2/,\
repacksuffix=+ds \
https://github.com/quintusdias/glymur/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|glymur)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## glymur 0.14.6

=== debian/changelog ===
glymur (0.14.6-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * Add missing debian/rules targets build-indep, build-arch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 01 Feb 2026 18:35:26 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
-Priority: optional
 Testsuite: autopkgtest-pkg-pybuild
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -21,7 +20,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-skimage <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/glymur
 Vcs-Git: https://salsa.debian.org/debian-gis-team/glymur.git
 Homepage: https://github.com/quintusdias/glymur

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,7 @@
 
 %:
 	dh $@ --buildsystem=pybuild
+
+build-indep: build
+
+build-arch:

## glymur 0.14.7

=== debian/changelog ===
glymur (0.14.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Drop unnecessary targets: build-indep and build-arch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 06 Feb 2026 07:26:46 +0000
